using Microsoft.EntityFrameworkCore;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.IRepositories;
using MTWorkHR.Infrastructure.DBContext;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Infrastructure.Repositories
{
    public class PermissionRepository : Repository<Permission>, IPermissionRepository
    {
        private readonly DbSet<Permission> dbSet;

        public PermissionRepository(HRDataContext _econtext) : base(_econtext)
        {
            dbSet = _context.Set<Permission>();
        }

        public async Task<List<Permission>> GetAllAsList()
        {
            return await dbSet.AsQueryable().ToListAsync();

        }
    }
}
